%perl_module XML-SAX 0.99 11_4

Summary:       Simple API for XML
License:       Artistic or GPL2
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}
Source:        http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: perl(XML::NamespaceSupport) >= 0.03
BuildRequires: perl-XML-SAX-Base
# not caught by automatic find-provides scripts
Provides: perl(XML::SAX::PurePerl::DTDDecls), perl(XML::SAX::PurePerl::DocType)
Provides: perl(XML::SAX::PurePerl::EncodingDetect), perl(XML::SAX::PurePerl::XMLDecl)

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* LICENSE Changes
%{perl_vendorlib}/XML/SAX.pm
%{perl_vendorlib}/XML/SAX
%config(noreplace) %{perl_vendorlib}/XML/SAX/ParserDetails.ini
%{perl_man3dir}/XML::SAX.3pm*
%{perl_man3dir}/XML::SAX::*.3pm*

%changelog
* Sat Sep 14 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 
- Update to 0.99.

* Sun Aug 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
